String.prototype.ngj = function() {
    return this.replace(/(^\s*)|(\s*$)/g, "")
}
String.prototype.zmu = function() {
    return this.replace(/\s+/g, "")
}
function org(s, a) {
    if (moc(s)) {
        alert(a + "不能为空，请输入！");
        return false
    }
    var b = "0123456789";
    if (!air(s, b)) {
        alert("您输入的" + a + s + "是无效的" + a + "，\n\n请输入合法的" + a + "！");
        return false
    }
    if (s < 1) return false;
    return true
}
function air(s, a) {
    var i;
    for (i = 0; i < s.length; i++) {
        var c = s.charAt(i);
        if (a.indexOf(c) == -1) return false
    }
    return true
}
function moc(s) {
    return ((s == null) || (s.length == 0))
}
function ytn(a, b) {
    window.top.fpp(20, 30, 650, 600, a, b, 'bg3', 'modal_id3', 'title3', 'modalecd3', 'images/close_box.gif', document.body);
    return false
}
function nzy() {
    this.__strings__ = new Array
}
nzy.prototype.append = function(a) {
    this.__strings__.push(a)
}
nzy.prototype.toString = function() {
    return this.__strings__.join("")
}
String.prototype.trim = function() {
    return this.replace(/(^\s*)|(\s*$)/g, "")
}
String.prototype.replaceAll = function(a, b) {
    return this.replace(new RegExp(a, "gm"), b)
}
function zej(a, w, h) {
    window.top.showModelessDialog(a, window, 'dialogHeight:' + h + '; dialogWidth:' + w + '; dialogTop: px; dialogLeft: px; edge: Raised; center: Yes; help: No; resizable: Yes; status: No; unadorned yes;');
    return false
}
function lvk(a) {
    var b = /[0-9]+/i;
    var d = new Date();
    var t = b.exec(a);
    d.setTime(t);
    return d
}
Date.prototype.pattern = function(a) {
    var o = {
        "M+": this.getMonth() + 1,
        "d+": this.getDate(),
        "h+": this.getHours() % 12 == 0 ? 12 : this.getHours() % 12,
        "H+": this.getHours(),
        "m+": this.getMinutes(),
        "s+": this.getSeconds(),
        "q+": Math.floor((this.getMonth() + 3) / 3),
        "S": this.getMilliseconds()
    };
    var b = {
        "0": "\u65e5",
        "1": "\u4e00",
        "2": "\u4e8c",
        "3": "\u4e09",
        "4": "\u56db",
        "5": "\u4e94",
        "6": "\u516d"
    };
    if (/(y+)/.test(a)) {
        a = a.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length))
    }
    if (/(E+)/.test(a)) {
        a = a.replace(RegExp.$1, ((RegExp.$1.length > 1) ? (RegExp.$1.length > 2 ? "\u661f\u671f": "\u5468") : "") + b[this.getDay() + ""])
    }
    for (var k in o) {
        if (new RegExp("(" + k + ")").test(a)) {
            a = a.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)))
        }
    }
    return a
}
function S4() {
    return (((1 + Math.random()) * 0x10000) | 0).toString(16).substring(1)
}
function NewGuid() {
    return (S4() + S4() + "-" + S4() + "-" + S4() + "-" + S4() + "-" + S4() + S4() + S4())
}
function mgg() {
    var a = "";
    for (var i = 1; i <= 32; i++) {
        var n = Math.floor(Math.random() * 16.0).toString(16);
        a += n;
        if ((i == 8) || (i == 12) || (i == 16) || (i == 20)) a += "-"
    }
    return a
}
function ymr(a) {
    try {
        if (a == undefined || a == null || a == NaN || (typeof(a) == "string" && a.length == 0)) return true;
        else return false
    } catch(err) {
        return false
    }
}
var krc = function(O) {
    return JSON2.stringify(O)
};
function lnz(a, b, c, d, e, f, g) {
    var h = "";
    if (!ymr(b) && !isNaN(b)) h += "&EntId=" + b;
    if (!ymr(c) && !isNaN(c)) h += "&MenuId=" + c;
    if (!ymr(d) && !isNaN(d)) h += "&TreeId=" + d;
    if (!ymr(e) && !isNaN(e)) h += "&ModuleId=" + e;
    if (!ymr(f) && !isNaN(f)) h += "&ModuleTypeId=" + f;
    if (!ymr(a) && !isNaN(a)) h += "&TaskId=" + a;
    if (!ymr(g)) h += "&EntName=" + escape(g);
    var i = "";
    switch (f) {
    case 19:
        i = "/Designer/ReportDesigner/ReportDesigner.aspx?ListType=1" + h;
        break;
    case 16:
        i = "/Designer/ReportDesigner/ReportDesigner.aspx?ListType=2" + h;
        break;
    case 1:
        i = "/Designer/ReportDesigner/ReportDesigner.aspx?ListType=3" + h;
        break;
    case 9:
        i = "/Designer/ReportDesigner/ReportDesigner.aspx?ListType=4" + h;
        break;
    case 12:
        i = "/Designer/ReportDesigner/ReportDesigner.aspx?ListType=5" + h;
        break;
    case 10:
        i = "/Designer/ReportDesigner/ReportDesigner.aspx?ListType=6" + h;
        break;
    case 11:
        i = "/Designer/ReportDesigner/ReportDesigner.aspx?ListType=7" + h;
        break;
    case 18:
        i = "/Designer/FormDesigner/FormDesigner.aspx?ListType=1" + h;
        break;
    case 3:
        i = "/Designer/FormDesigner/FormDesigner.aspx?ListType=2" + h;
        break;
    case 17:
        i = "/Designer/FormDesigner/FormDesigner.aspx?ListType=3" + h;
        break;
    case 2:
        i = "/Designer/FormDesigner/FormDesigner.aspx?ListType=4" + h;
        break;
    case 4:
        i = "/Designer/ReportDesigner/ViewDesigner.aspx?mkt=1" + h;
        break;
    case 5:
        i = "/Designer/ReportDesigner/TreeDesigner.aspx?IsTree=1" + h;
        break;
    case 6:
        i = "未开发";
        break;
    case 7:
        i = "未开发";
        break;
    case 8:
        i = "未开发";
        break;
    case 13:
        i = "未开发";
        break;
    case 20:
        i = "/Template/default/form/dcxCreator/DefaultForm_CreateApp.aspx?lab=" + c + "&CurEntId=" + b + "&EntId=1837&mkfv=1&optype=1";
        break;
    case 21:
        i = "请进行您的系统（安装在贵公司的运行端），在“工作流设计”中进行。";
        break;
    case 22:
        i = "/Designer/ReportDesigner/OutPutDesigner.aspx?ListType=9" + h;
        break;
    case 23:
        i = "未开发";
        break;
    case 24:
        i = "未开发";
        break
    }
    return i
}
function xtk(a) {
    switch (a) {
    case 1:
    case 19:
    case 13:
    case 23:
    case 4:
    case 7:
    case 9:
        return true;
        break;
    default:
        return false;
        break
    }
    return false
}
var hexcase = 0;
var b64pad = "";
var chrsz = 16;
function hex_md5(s) {
    return sww(krz(ull(s), s.length * chrsz))
}
function jyk(s) {
    return hch(krz(ull(s), s.length * chrsz))
}
function wev(s) {
    return grw(krz(ull(s), s.length * chrsz))
}
function lkg(a, b) {
    return sww(hjd(a, b))
}
function xas(a, b) {
    return hch(hjd(a, b))
}
function jgd(a, b) {
    return grw(hjd(a, b))
}
function vlo() {
    return hex_md5("abc") == "900150983cd24fb0d6963f7d28e17f72"
}
function krz(x, e) {
    x[e >> 5] |= 0x80 << ((e) % 32);
    x[(((e + 64) >>> 9) << 4) + 14] = e;
    var a = 1732584193;
    var b = -271733879;
    var c = -1732584194;
    var d = 271733878;
    for (var i = 0; i < x.length; i += 16) {
        var f = a;
        var g = b;
        var h = c;
        var j = d;
        a = icv(a, b, c, d, x[i + 0], 7, -680876936);
        d = icv(d, a, b, c, x[i + 1], 12, -389564586);
        c = icv(c, d, a, b, x[i + 2], 17, 606105819);
        b = icv(b, c, d, a, x[i + 3], 22, -1044525330);
        a = icv(a, b, c, d, x[i + 4], 7, -176418897);
        d = icv(d, a, b, c, x[i + 5], 12, 1200080426);
        c = icv(c, d, a, b, x[i + 6], 17, -1473231341);
        b = icv(b, c, d, a, x[i + 7], 22, -45705983);
        a = icv(a, b, c, d, x[i + 8], 7, 1770035416);
        d = icv(d, a, b, c, x[i + 9], 12, -1958414417);
        c = icv(c, d, a, b, x[i + 10], 17, -42063);
        b = icv(b, c, d, a, x[i + 11], 22, -1990404162);
        a = icv(a, b, c, d, x[i + 12], 7, 1804603682);
        d = icv(d, a, b, c, x[i + 13], 12, -40341101);
        c = icv(c, d, a, b, x[i + 14], 17, -1502002290);
        b = icv(b, c, d, a, x[i + 15], 22, 1236535329);
        a = utw(a, b, c, d, x[i + 1], 5, -165796510);
        d = utw(d, a, b, c, x[i + 6], 9, -1069501632);
        c = utw(c, d, a, b, x[i + 11], 14, 643717713);
        b = utw(b, c, d, a, x[i + 0], 20, -373897302);
        a = utw(a, b, c, d, x[i + 5], 5, -701558691);
        d = utw(d, a, b, c, x[i + 10], 9, 38016083);
        c = utw(c, d, a, b, x[i + 15], 14, -660478335);
        b = utw(b, c, d, a, x[i + 4], 20, -405537848);
        a = utw(a, b, c, d, x[i + 9], 5, 568446438);
        d = utw(d, a, b, c, x[i + 14], 9, -1019803690);
        c = utw(c, d, a, b, x[i + 3], 14, -187363961);
        b = utw(b, c, d, a, x[i + 8], 20, 1163531501);
        a = utw(a, b, c, d, x[i + 13], 5, -1444681467);
        d = utw(d, a, b, c, x[i + 2], 9, -51403784);
        c = utw(c, d, a, b, x[i + 7], 14, 1735328473);
        b = utw(b, c, d, a, x[i + 12], 20, -1926607734);
        a = jyh(a, b, c, d, x[i + 5], 4, -378558);
        d = jyh(d, a, b, c, x[i + 8], 11, -2022574463);
        c = jyh(c, d, a, b, x[i + 11], 16, 1839030562);
        b = jyh(b, c, d, a, x[i + 14], 23, -35309556);
        a = jyh(a, b, c, d, x[i + 1], 4, -1530992060);
        d = jyh(d, a, b, c, x[i + 4], 11, 1272893353);
        c = jyh(c, d, a, b, x[i + 7], 16, -155497632);
        b = jyh(b, c, d, a, x[i + 10], 23, -1094730640);
        a = jyh(a, b, c, d, x[i + 13], 4, 681279174);
        d = jyh(d, a, b, c, x[i + 0], 11, -358537222);
        c = jyh(c, d, a, b, x[i + 3], 16, -722521979);
        b = jyh(b, c, d, a, x[i + 6], 23, 76029189);
        a = jyh(a, b, c, d, x[i + 9], 4, -640364487);
        d = jyh(d, a, b, c, x[i + 12], 11, -421815835);
        c = jyh(c, d, a, b, x[i + 15], 16, 530742520);
        b = jyh(b, c, d, a, x[i + 2], 23, -995338651);
        a = ves(a, b, c, d, x[i + 0], 6, -198630844);
        d = ves(d, a, b, c, x[i + 7], 10, 1126891415);
        c = ves(c, d, a, b, x[i + 14], 15, -1416354905);
        b = ves(b, c, d, a, x[i + 5], 21, -57434055);
        a = ves(a, b, c, d, x[i + 12], 6, 1700485571);
        d = ves(d, a, b, c, x[i + 3], 10, -1894986606);
        c = ves(c, d, a, b, x[i + 10], 15, -1051523);
        b = ves(b, c, d, a, x[i + 1], 21, -2054922799);
        a = ves(a, b, c, d, x[i + 8], 6, 1873313359);
        d = ves(d, a, b, c, x[i + 15], 10, -30611744);
        c = ves(c, d, a, b, x[i + 6], 15, -1560198380);
        b = ves(b, c, d, a, x[i + 13], 21, 1309151649);
        a = ves(a, b, c, d, x[i + 4], 6, -145523070);
        d = ves(d, a, b, c, x[i + 11], 10, -1120210379);
        c = ves(c, d, a, b, x[i + 2], 15, 718787259);
        b = ves(b, c, d, a, x[i + 9], 21, -343485551);
        a = tpo(a, f);
        b = tpo(b, g);
        c = tpo(c, h);
        d = tpo(d, j)
    }
    return Array(a, b, c, d)
}
function wwk(q, a, b, x, s, t) {
    return tpo(ifz(tpo(tpo(a, q), tpo(x, t)), s), b)
}
function icv(a, b, c, d, x, s, t) {
    return wwk((b & c) | ((~b) & d), a, b, x, s, t)
}
function utw(a, b, c, d, x, s, t) {
    return wwk((b & d) | (c & (~d)), a, b, x, s, t)
}
function jyh(a, b, c, d, x, s, t) {
    return wwk(b ^ c ^ d, a, b, x, s, t)
}
function ves(a, b, c, d, x, s, t) {
    return wwk(c ^ (b | (~d)), a, b, x, s, t)
}
function hjd(a, b) {
    var c = ull(a);
    if (c.length > 16) c = krz(c, a.length * chrsz);
    var d = Array(16),
    opad = Array(16);
    for (var i = 0; i < 16; i++) {
        d[i] = c[i] ^ 0x36363636;
        opad[i] = c[i] ^ 0x5C5C5C5C
    }
    var e = krz(d.concat(ull(b)), 512 + b.length * chrsz);
    return krz(opad.concat(e), 512 + 128)
}
function tpo(x, y) {
    var a = (x & 0xFFFF) + (y & 0xFFFF);
    var b = (x >> 16) + (y >> 16) + (a >> 16);
    return (b << 16) | (a & 0xFFFF)
}
function ifz(a, b) {
    return (a << b) | (a >>> (32 - b))
}
function ull(a) {
    var b = Array();
    var c = (1 << chrsz) - 1;
    for (var i = 0; i < a.length * chrsz; i += chrsz) b[i >> 5] |= (a.charCodeAt(i / chrsz) & c) << (i % 32);
    return b
}
function grw(a) {
    var b = "";
    var c = (1 << chrsz) - 1;
    for (var i = 0; i < a.length * 32; i += chrsz) b += String.fromCharCode((a[i >> 5] >>> (i % 32)) & c);
    return b
}
function sww(a) {
    var b = hexcase ? "0123456789ABCDEF": "0123456789abcdef";
    var c = "";
    for (var i = 0; i < a.length * 4; i++) {
        c += b.charAt((a[i >> 2] >> ((i % 4) * 8 + 4)) & 0xF) + b.charAt((a[i >> 2] >> ((i % 4) * 8)) & 0xF)
    }
    return c
}
function hch(a) {
    var b = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
    var c = "";
    for (var i = 0; i < a.length * 4; i += 3) {
        var d = (((a[i >> 2] >> 8 * (i % 4)) & 0xFF) << 16) | (((a[i + 1 >> 2] >> 8 * ((i + 1) % 4)) & 0xFF) << 8) | ((a[i + 2 >> 2] >> 8 * ((i + 2) % 4)) & 0xFF);
        for (var j = 0; j < 4; j++) {
            if (i * 8 + j * 6 > a.length * 32) c += b64pad;
            else c += b.charAt((d >> 6 * (3 - j)) & 0x3F)
        }
    }
    return c
}